Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.com
Class ComApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.com.ComApplicationException

All Implemented Interfaces:
  java.io.Serializable

    public class ComApplicationException

extends java.lang.Exception

The ComApplicationException is the exception type that can be thrown from methods on the COM AppConn interfaces.

See Also:
  Serialized Form

Constructor Summary
`ComApplicationException(java.lang.String msg)` Constructor for the class.
`ComApplicationException(java.lang.String msg, java.lang.Throwable initCause)` Constructor for the class.

Method Summary
`java.lang.Throwable` | `getCause()` Gets the cause.
`java.lang.String` | `getMessage()` Gets the error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComApplicationException

    public ComApplicationException(java.lang.String msg,
                                   java.lang.Throwable initCause)

  Constructor for the class.

  Parameters:
    `msg` - This is the description message about what happened.
    `initCause` - This is the Throwable which caused the exception.
  Throws:
    None.

### ComApplicationException

    public ComApplicationException(java.lang.String msg)

  Constructor for the class.

  Parameters:
    `msg` - This is the description message about what happened.
  Throws:
    None.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Gets the error message.

  Parameters:
    None.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    `String` - Returns the error message.
  Throws:
    None.

### getCause

    public java.lang.Throwable getCause()

  Gets the cause.

  Parameters:
    None.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    `Throwable` - Returns the cause.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.